net.i2p.client.streaming.impl

## Class I2PServerSocketFull

- java.lang.Object
- - net.i2p.client.streaming.impl.I2PServerSocketFull

- All Implemented Interfaces:
    I2PServerSocket

      class I2PServerSocketFull
      extends Object
      implements I2PServerSocket

  Bridge to allow accepting new connections

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PServerSocketFull(I2PSocketManagerFull mgr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `I2PSocket` | `accept()` Waits for the next socket connecting.
    `void` | `close()` Close the connection.
    `I2PSocketManager` | `getManager()` Access the manager which is coordinating the server socket
    `long` | `getSoTimeout()` Get Sock Option accept timeout
    `void` | `setSoTimeout(long x)` Set Sock Option accept timeout

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I2PServerSocketFull

          public I2PServerSocketFull(I2PSocketManagerFull mgr)

  - ### Method Detail

    - #### accept

          public I2PSocket accept()
                           throws I2PException,
                                  ConnectException,
                                  SocketTimeoutException

      Waits for the next socket connecting. If a remote user tried to make a connection and the local application wasn't .accept()ing new connections, they should get refused (if .accept() doesn't occur in some small period). Warning - unlike regular ServerSocket, may return null (through 0.9.16 only).
      Specified by:
        `accept` in interface `I2PServerSocket`
      Returns:
        a connected I2PSocket OR NULL through 0.9.16; never null as of 0.9.17
      Throws:
        `I2PException` - if there is a problem with reading a new socket from the data available (e.g. the I2PSession is closed)
        `RouterRestartException` - (extends I2PException) if the router is apparently restarting, since 0.9.34
        `ConnectException` - if the I2PServerSocket is closed, or if interrupted. Not actually thrown through 0.9.16; thrown as of 0.9.17
        `SocketTimeoutException` - if a timeout was previously set with setSoTimeout and the timeout has been reached.

    - #### close

          public void close()

      Close the connection.
      Specified by:
        `close` in interface `I2PServerSocket`

    - #### getManager

          public I2PSocketManager getManager()

      Description copied from interface: `I2PServerSocket`
      Access the manager which is coordinating the server socket
      Specified by:
        `getManager` in interface `I2PServerSocket`
      Returns:
        _socketManager

    - #### getSoTimeout

          public long getSoTimeout()

      Description copied from interface: `I2PServerSocket`
      Get Sock Option accept timeout
      Specified by:
        `getSoTimeout` in interface `I2PServerSocket`
      Returns:
        timeout in ms

    - #### setSoTimeout

          public void setSoTimeout(long x)

      Description copied from interface: `I2PServerSocket`
      Set Sock Option accept timeout
      Specified by:
        `setSoTimeout` in interface `I2PServerSocket`
      Parameters:
        `x` - timeout in ms